Bug 257583 - www/redmine4 and www/redmine42: remove dependency on mimemagic
Summary: www/redmine4 and www/redmine42: remove dependency on mimemagic
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-03 09:30 UTC by Tassilo Philipp
Modified: 2021-08-19 07:02 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mikael)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tassilo Philipp 2021-08-03 09:30:04 UTC
Hello,

thanks for maintaining the redmine port. This is more of a suggestion to simplify the build and reduce runtime dependencies. Redmine seems to have removed the dependency on mimemagic for redmine >= 4.0.9, and replaced it with marcel, a gem that comes with rails: https://www.redmine.org/issues/34969

This means the ports www/redmine4 and www/redmine42 could remove the misc/rubygem-mimemagic runtime dependencies, also, which would simplify the build and also save 160+mb in space as it would drop an implicit dependency on python (as misc/rubygem-mimemagic depends on misc/shared-mime-info which depends on glib which depends on python).

I gave it a try locally and it seems to work. That said, I don't know if my usage of redmine ever triggered anything that depends on mimemagic/marcel, but given the redmine issue mentioned above, this should be safe. Anyways, as said, this is a suggestion, as nothing per-se is broken here.

Thanks
Comment 1 Tassilo Philipp 2021-08-03 10:13:39 UTC
Sorry, the "redmine >= 4.0.9" line was misleading.

Basically the patch was backported to 4.0.9 for the 4.0 branch. Also it was applied to 4.1.3 for the 4.1 branch. This means that for www/redmine4, which is in 4.1.2, an update to 4.1.3 would be required, first, in order to follow through with my suggestion to remove the dependency. Sorry about having missed that.

For www/redmine42, this should be fine, as-is, as 4.2.0 removed that dependency, already.
Comment 2 commit-hook freebsd_committer 2021-08-17 15:17:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=10b11f130188dc9d69354aef19238f88effbc9bf

commit 10b11f130188dc9d69354aef19238f88effbc9bf
Author:     Mikael Urankar <mikael@FreeBSD.org>
AuthorDate: 2021-08-17 15:15:10 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2021-08-17 15:15:10 +0000

    www/redmine42: Update to 4.2.2

     - Update to 4.2.2
     - Remove dependency on mimemagic (PR 257583)

    PR:             257583

 www/redmine42/Makefile            | 3 +--
 www/redmine42/distinfo            | 6 +++---
 www/redmine42/files/patch-Gemfile | 9 ++-------
 3 files changed, 6 insertions(+), 12 deletions(-)
Comment 3 commit-hook freebsd_committer 2021-08-17 15:17:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b0cedac179dd8983439e22c819a1ddcd257a0c01

commit b0cedac179dd8983439e22c819a1ddcd257a0c01
Author:     Mikael Urankar <mikael@FreeBSD.org>
AuthorDate: 2021-08-17 15:12:09 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2021-08-17 15:12:09 +0000

    www/redmine4: Update to 4.1.4

     - Update to 4.1.4
     - Remove dependency on mimemagic (PR 257583)

    PR:             257583

 www/redmine4/Makefile            | 6 +++---
 www/redmine4/distinfo            | 6 +++---
 www/redmine4/files/patch-Gemfile | 7 ++++---
 3 files changed, 10 insertions(+), 9 deletions(-)
Comment 4 Tassilo Philipp 2021-08-19 07:02:35 UTC
tested it, works, thanks! -> close